From 5fe9e83dc10e954b6db24e30d63e97e5326963d9 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 13 Dec 2017 11:34:46 +0100
Subject: [PATCH] Use &amp entity instead of bare ampersand in text

Using a bare '&' in text elements is sometimes Ok, but always
generate warnings in validation checks. Move to using the amp
entity which is the recommended way to render '&' in xhtml.
---
 templates/pages/about/press/presskit90/en.html | 4 ++--
 templates/pages/download/linux/debian.html     | 4 ++--
 templates/pages/download/linux/redhat.html     | 8 ++++----
 templates/pages/download/windows.html          | 8 ++++----
 4 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/templates/pages/about/press/presskit90/en.html b/templates/pages/about/press/presskit90/en.html
index 5f8f393..baeb5b2 100644
--- a/templates/pages/about/press/presskit90/en.html
+++ b/templates/pages/about/press/presskit90/en.html
@@ -15,7 +15,7 @@
  &nbsp; <a href="#contact">Contacts</a><br />
  &nbsp; <a href="#quoted_companies">Full Text of Quotes and Company Information</a><br />
  &nbsp; <a href="#companies">Corporate Support</a><br />
- &nbsp; <a href="#images">Logos & Images</a><br />
+ &nbsp; <a href="#images">Logos &amp; Images</a><br />
  &nbsp; <a href="#translations">Official Translations of this Document</a><br />
 </p>
 
@@ -212,7 +212,7 @@ Development company focused on mature open source products such as BSD Unix and
 
 <p><a href="/about/donate">Donations</a> gladly accepted.</p>
 
-<a name="images"></a><h2>Logos & Images</h2>
+<a name="images"></a><h2>Logos &amp; Images</h2>
 
 <ul>
 <li><a href="http://pgfoundry.org/docman/view.php/1000089/13727/slonik_with_teal_text_and_black_tagline.pdf">PostgreSQL logo and project slogan</a> (BSD license; free to use)</li>
diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index 518974a..66f6a3b 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -114,12 +114,12 @@ the builtin repositories.
     </tr>
     <tr>
       <td>10</td>
-      <td>Debian 8.x & 7.x</td>
+      <td>Debian 8.x &amp; 7.x</td>
       <td>&nbsp;</td>
     </tr>
     <tr>
       <td>9.6</td>
-      <td>Debian 8.x & 7.x</td>
+      <td>Debian 8.x &amp; 7.x</td>
       <td>&nbsp;</td>
     </tr>
     <tr>
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index a34f456..963d9bd 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -162,22 +162,22 @@ and manual installation as well.
     </tr>
     <tr>
       <td>10</td>
-      <td>RHEL / CentOS / OEL 7.x & 6.x</td>
+      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
       <td>RHEL / CentOS / OEL 6.x</td>
     </tr>
     <tr>
       <td>9.6</td>
-      <td>RHEL / CentOS / OEL 7.x & 6.x</td>
+      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
       <td>RHEL / CentOS / OEL 6.x</td>
     </tr>
     <tr>
       <td>9.5</td>
-      <td>RHEL / CentOS / OEL 7.x & 6.x</td>
+      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
       <td>RHEL / CentOS / OEL 6.x</td>
     </tr>
     <tr>
       <td>9.4</td>
-      <td>RHEL / CentOS / OEL 7.x & 6.x</td>
+      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
       <td>RHEL / CentOS / OEL 6.x</td>
     </tr>
     <tr>
diff --git a/templates/pages/download/windows.html b/templates/pages/download/windows.html
index 47f39c5..e562bcb 100644
--- a/templates/pages/download/windows.html
+++ b/templates/pages/download/windows.html
@@ -47,17 +47,17 @@ This download is intended for users who wish to include PostgreSQL as part of an
     </tr>
     <tr>
       <td>10</td>
-      <td>2016, 2012 R2 & R1, 2008 R2, 7, 8, 10</td>
+      <td>2016, 2012 R2 &amp; R1, 2008 R2, 7, 8, 10</td>
       <td>2008 R1, 7, 8, 10</td>
     </tr>
     <tr>
       <td>9.6</td>
-      <td>2012 R2 & R1, 2008 R2, 7, 8, 10</td>
+      <td>2012 R2 &amp; R1, 2008 R2, 7, 8, 10</td>
       <td>2008 R1, 7, 8, 10</td>
     </tr>
     <tr>
       <td>9.5</td>
-      <td>2012 R2 & R1, 2008 R2</td>
+      <td>2012 R2 &amp; R1, 2008 R2</td>
       <td>2008 R1</td>
     </tr>
     <tr>
@@ -72,7 +72,7 @@ This download is intended for users who wish to include PostgreSQL as part of an
     </tr>
     <tr>
       <td>9.2</td>
-      <td>2008 R2 & R1</td>
+      <td>2008 R2 &amp; R1</td>
       <td>2008 R1</td>
     </tr>
   </table>
-- 
2.14.1.145.gb3622a4ee

